# 📟 smartpager.network

Smartpager.network aims to provide a fully featured and modular Paging Framework.

[W.I.P Application Flow](https://github.com/smartpager-network/smartpager-network.github.io/blob/master/Basisfunctionaliteit%20SmartpagerNetwork.pdf)

Planned Features:
- Many Message Ingress Modules, like bunq.com-Notifications, E-Mail, Telegram, etc..

Working Features:
- Menu Systems (only for Duplex Pagers like the Birdy Slim IoT)
- Integration/Compatibility with DAPNET
- Acknowledgement for Messages (only for Duplex Pagers like the Birdy Slim IoT)
- Device States( Birdy Slim IoT: GPSLocation, BatteryLevel, etc...)
- Message Routing

#### How to Setup LoRaWAN for the Birdy Slim IoT
- W.I.P

#### Working Modules
- [dispatcher-daemon](https://git.cheetah.cat/smartpager/dispatcher) - handles Multipath-Routing and Responses (LORAWAN included) - this is mandatory
- [msg-telegrambot](https://git.cheetah.cat/smartpager/msg-telegrambot) - Allows Telegram Users to alert Pagers
- [msg-testalarm](https://git.cheetah.cat/smartpager/msg-testalarm) - Sending scheduled Messages to check if reception is still working
- [msg-email](https://git.cheetah.cat/smartpager/msg-email) - Creates Notifications for new, unread received emails, forward pager responses back to sender (IMAP).
- [msg-feedmanager](https://git.cheetah.cat/smartpager/msg-feedmanager) - MoWaS (bbk.bund.de)
- [msg-dwd](https://git.cheetah.cat/smartpager/msg-dwd) - DWD German Weather Alerts (dwd.de)
- [msg-mowas](https://git.cheetah.cat/smartpager/msg-mowas) - MoWaS (bbk.bund.de)

- [pocsag-connector](https://git.cheetah.cat/RPIZeroDuplexPOCSAG/pocsag-gateway) ( works with the RFM69 or any other SX1231-Chipset Transceiver )

#### Planned Modules
- msg-bunq
- msg-weather
- msg-twitter
- msg-peertube-notifications
- msg-prometheus-alerts